#ifndef CARUN_H
#define CARUN_H

#include <QObject>
#include <QTimer>
#include <QDebug>
#include <QDateTime>

#include <QPluginLoader>
#include <QDir>
#include "plugin.h"


enum class SETUP_STEP {
    INIT,
    OPEN_SERIAL_PORT,
    TEST_OPEN_PORT,
    TEST_RESPONSE_REQUEST,
    TEST_RESPONSE_CHECK,
    SETUP_AUTOREQEUST,
    CHECK_VALID_DATA
};


class CCWakelineAbstraction;

class CArun : public QObject
{
    Q_OBJECT

public:
    explicit CArun(QObject *parent = nullptr);

    QTimer  *timerChainCtrl;

    char loadPlugIn(char lade1_entlade2);

    QDir plugInDir;

private:

    hwinf *HWaccess=nullptr;        // global pointer to plugin-class

    SETUP_STEP setupStep;

    void openSerialPort();

    CCWakelineAbstraction* ccWakelineAbstraction;

signals:


private slots:
    void chainControl();

};

#endif // CARUN_H
